Subject: x2goclient ignores pageant if path to SSH key is provided

From: Akihiro Nomura <[email-masked]>
Date: Wed, 7 May 2014 19:45:11 +0900

Package: x2goclient
Version: 4.0.2.0

I'm using both PuTTY 0.61 and x2goclient in Windows 7, using SSH private key with pass-phrase.
When I leave "Use RSA/DSA key for ssh connection" blank and select "Try auto login (...)", x2goclient connects using SSH key in pageant and connects well, but when I forget booting pageant, x2goclient asks for pass-phrase (of what?) and I cannot login.

In order to prevent the latter scenario, I provided path for private key (in OpenSSH format, not in .ppk file in PuTTY), leaving "Try auto login" check box checked.
In this case, x2goclient always asks the pass-phrase of the key and don't try using key in pageant.
After providing the pass-phrase, x2goclient works fine, but typing pass-phrase many times is annoying.

Is it possible to configure x2goclient to use pageant first and specified SSH key as fall back?

Best regards,
-- 
Akihiro Nomura
[email-masked]